Bug 1279223 (python-h5io) - Review Request: python-h5io - Read and write simple Python objects using HDF5
Summary: Review Request: python-h5io - Read and write simple Python objects using HDF5
Keywords:
Status: CLOSED ERRATA
Alias: python-h5io
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro python-mne
TreeView+ depends on / blocked
 
Reported: 2015-11-08 17:41 UTC by Igor Gnatenko
Modified: 2015-11-23 00:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 00:25:07 UTC
jujens: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-08 17:41:52 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-h5io.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-h5io-0.1-0.1gita73bba4.fc24.src.rpm
Description:
h5io is a package designed to facilitate saving some standard Python objects
into the forward-compatible HDF5 format.
It is a higher-level package than h5py.
Fedora Account System Username: ignatenkobrain

Comment 1 Julien Enselme 2015-11-08 18:16:35 UTC
- In the release tag and the changelog, please add a dot between 0.1 and git (0.1.git). Once this is fixed, I will approve the package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 11 files have unknown
     license. Detailed output of licensecheck in /tmp/1279223-python-
     h5io/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
In the release tag and the changelog, please add a dot between 0.1 and git (0.1.git)

[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
X ]: Package obeys FHS, except libexecdir and /usr/target.
- ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-h5io , python3-h5io
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-h5io-0.1-0.1gita73bba4.fc24.noarch.rpm
          python3-h5io-0.1-0.1gita73bba4.fc24.noarch.rpm
          python-h5io-0.1-0.1gita73bba4.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-h5io (rpmlib, GLIBC filtered):
    h5py
    numpy
    python(abi)

python3-h5io (rpmlib, GLIBC filtered):
    python(abi)
    python3-h5py
    python3-numpy



Provides
--------
python2-h5io:
    python-h5io
    python-h5io(x86-64)
    python2-h5io

python3-h5io:
    python3-h5io



Source checksums
----------------
https://github.com/h5io/h5io/archive/a73bba4f38f0d96473b1ce6b59a018b45866c771/h5io-a73bba4.tar.gz :
  CHECKSUM(SHA256) this package     : 995f13a21caeb55e98a5187ba29951736936687f8cd14f891f36a19317173975
  CHECKSUM(SHA256) upstream package : 995f13a21caeb55e98a5187ba29951736936687f8cd14f891f36a19317173975


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1279223
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Julien Enselme 2015-11-08 18:31:59 UTC
Looks good. Approved.

Comment 4 Gwyn Ciesla 2015-11-09 03:53:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-h5io

Comment 5 Fedora Update System 2015-11-09 05:22:43 UTC
python-h5io-0.1-0.2.gita73bba4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-41d77a0433

Comment 6 Fedora Update System 2015-11-10 03:23:14 UTC
python-h5io-0.1-0.2.gita73bba4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-h5io'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-41d77a0433

Comment 7 Fedora Update System 2015-11-23 00:25:05 UTC
python-h5io-0.1-0.2.gita73bba4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.